ISPConfig 2.2.26 released

Discussion in 'General' started by till, Oct 1, 2008.

  1. yurtboy1

    yurtboy1 New Member

    What are the chances of an upgrade not

    messing up a system?
    Version: 2.2.12 is what we are using now and it works GREAT, but it does have some bugs.
    Like passwords can not be changed for some accounts after you have a certain number of users etc.
     
  2. falko

    falko Super Moderator ISPConfig Developer

    I've never had any problems with any upgrade, but if you want to go sure you can back up /root/ispconfig, /home/admispconfig and the ISPConfig database.
     
  3. yurtboy1

    yurtboy1 New Member

    Thanks!! one more question...

    Would you bother?
    And if 3.x is due soon should we just wait?
     
  4. Hans

    Hans Moderator ISPConfig Developer

    ISPConfig 2.2 is the Stable branch, while ISPConfig 2.3 is the development branch.
    What Falko means is that you always can update ISPConfig 2.2.x to a higher 2.2.x version.

    Don't update form ISPConfig 2.2.x to 2.3.x, as the MySQL database syructure is too different.

    An update from any ISPConfig 2 version to ISPConfig 3 is not possible, the achitecture of ISPConfig 3 is completely different.
     
  5. falko

    falko Super Moderator ISPConfig Developer

    I've been able to reproduce the -m486 problem with radim's help. Thanks a lot! :)

    It seems as if the problem can be solved by using OpenSSL 0.9.8i instead of OpenSSL 0.9.7m. Will test this on other distributions as well.
     
  6. cat

    cat New Member

    clamav

    I have just upadted to ISPConfig 2.2.26 and clamav is now 0.94 however I am getting the following error


    SECURITY WARNING: NO SUPPORT FOR DIGITAL SIGNATURES

    Can you please tell me how to fix this thanks
     
  7. commentator

    commentator Member

    on debian this fixed the error
     
  8. bernholdt

    bernholdt Member

    Tanks

    Just updated my Debian Etch X64 without any errors :)
     
  9. commentator

    commentator Member

    problems after upgrading debian lenny

    apache not starting
    errorlog
    Code:
    [Sat Oct 11 21:03:19 2008] [error] mod_ssl: Init: Unable to read server certificate from file /root/ispconfig/httpd/conf/ssl.crt/server.crt (OpenSSL library error follows)
    [Sat Oct 11 21:03:19 2008] [error] OpenSSL: error:0D06B08E:asn1 encoding routines:ASN1_d2i_bio:not enough data
    
    update:
    error fixed recreating certificate
    http://www.howtoforge.com/forums/showpost.php?p=358&postcount=4

    but strange that upgrading makes certificate corrupt
     
    Last edited: Oct 11, 2008
  10. cat

    cat New Member

    clamav

    I used aptget to install libgmp3-dev and its headers. I understand that I need to configure and recompile clamav but being so new to Linux I have no idea how. Can you please tell me how to



    Thanks
     
  11. till

    till Super Moderator Staff Member ISPConfig Developer

    Why do you want to change anything then? Your clamav is working fine as it should, the digital signatures are not needed.
     
  12. cat

    cat New Member

    clamav

    I am unclear if till's last comment is for me or some one else however I will make my case more clear.

    as I stated above

    the responce was

    so I

    I do not understand the procedure to rerun ./configure and recompile ClamAV.
     
  13. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes, the naswer was for you. What you see is just a warning and the clamav warning messges sound always a bit hysteric but there is no real need to recompile it. It will not work better as a antivirus scanner if you do that.

    The installation instructions for clamav can be found at www.clamav.org, the installation directory is /home/admispconfig/ispconfig/tools/clamav/ but as I said above, I wont recompile it if I were you.
     
  14. bwaymark

    bwaymark New Member

    Just did the upgrade and everything seems fine except it has suddenly decided to change the database names and database usernames ... so if I create a new database instead of being called webxx_db1 and a new user called webxx_u1 it has removed the underscore... sounds niggly I know but I've got a bunch of scripts that rely on the naming convention webxx_ and this suddenly changing causes all sorts of problems (especially as I only upgraded one server and am not sure if I want to do the rest). Any idea why this happened or, more importantly, how to revert to the only convention? If I add a new user it still webxx_<username> but for database and database users it does not...
     
  15. till

    till Super Moderator Staff Member ISPConfig Developer

    The new database and user names are nescessary as a security fix as the underscore in the database username allowed users to access the databases of other users. Thats a problem in mysql and as nysql AB wont fix this, we had to change the usernames. You will have to change your scripts to follow the new naming scheme, there is no way to revert this.
     
  16. bwaymark

    bwaymark New Member

    Damn... I was worried you'd say something like that. Fair enough though... thanks for the quick answer!
     

Share This Page